import 'package:_private_core/utils/utils.dart';
import 'package:_private_core/widgets/widgets.dart';
import 'package:flutter/material.dart';

class WidgetLottieChat extends StatelessWidget {
  final double? size;
  final String asset;
  const WidgetLottieChat({super.key, this.size, required this.asset});

  @override
  Widget build(BuildContext context) {
    return WidgetAppLottie(
      assetlottie('emoji/$asset'),
      package: '_private_chat',
      width: size,
      repeat: true,
    );
  }
}

// class WidgetLottieChat extends StatefulWidget {
//   final double size;
//   final String asset;
//   const WidgetLottieChat({super.key, required this.size, required this.asset});

//   @override
//   State<WidgetLottieChat> createState() => _WidgetLottieChatState();
// }

// class _WidgetLottieChatState extends State<WidgetLottieChat>
//     with SingleTickerProviderStateMixin {
//   late final _controllerPlayOnce = AnimationController(vsync: this);

//   @override
//   void dispose() {
//     _controllerPlayOnce.dispose();
//     super.dispose();
//   }

//   @override
//   Widget build(BuildContext context) {
//     return MouseRegion(
//       onEnter: (PointerEnterEvent event) async {
//         if (_controllerPlayOnce.isCompleted) {
//           _controllerPlayOnce.repeat();
//           await _controllerPlayOnce.forward();
//           _controllerPlayOnce.reset();
//         }
//       },
//       child: WidgetAppLottie(
//         assetlottie('emoji/${widget.asset}'),
//         controller: _controllerPlayOnce, 
//         onLoaded: (composition) async {
//           _controllerPlayOnce.duration = composition.duration;
//           await _controllerPlayOnce.forward();
//           _controllerPlayOnce.reset();
//         },
//         package: '_private_chat',
//         width: widget.size,
//       ),
//     );
//   }
// }
